Upgrading to .42 causes embeds to stop working?

Hello.
After upgrading to .42, our embedded dashboards stopped working. We simply see this:

No alarm bells in the logs from what we can see. We are able to login to metabase just fine. Only thing not working are the embeds.


{
  "browser-info": {
    "language": "en-US",
    "platform": "MacIntel",
    "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/97.0.4692.99 Safari/537.36",
    "vendor": "Google Inc."
  },
  "system-info": {
    "file.encoding": "UTF-8",
    "java.runtime.name": "OpenJDK Runtime Environment",
    "java.runtime.version": "11.0.14+9",
    "java.vendor": "Eclipse Adoptium",
    "java.vendor.url": "https://adoptium.net/",
    "java.version": "11.0.14",
    "java.vm.name": "OpenJDK 64-Bit Server VM",
    "java.vm.version": "11.0.14+9",
    "os.name": "Linux",
    "os.version": "4.14.256-197.484.amzn2.x86_64",
    "user.language": "en",
    "user.timezone": "GMT"
  },
  "metabase-info": {
    "databases": [
      "postgres"
    ],
    "hosting-env": "unknown",
    "application-database": "postgres",
    "application-database-details": {
      "database": {
        "name": "PostgreSQL",
        "version": "12.7"
      },
      "jdbc-driver": {
        "name": "PostgreSQL JDBC Driver",
        "version": "42.2.23"
      }
    },
    "run-mode": "prod",
    "version": {
      "date": "2022-02-08",
      "tag": "v0.42.0",
      "branch": "release-x.42.x",
      "hash": "de1264e"
    },
    "settings": {
      "report-timezone": "US/Pacific"
    }
  }
}

Does the embed have any date filter?

Yup our embeds have editable date range filters.

Thanks, can you please post the backend logs when this error appears?

Hi Luiggi,

We are on BeanStalk and I had to quickly downgrade to previous version 0.41.0. Would the logs be preserved even after the downgrade?

depends, if you saved them to Cloudwatch yes, or if they persist in the host... otherwise they're lost.
EDIT: I'm trying to replicate the issue but I can't. If there's some way in which you can replicate this please let me know

Hi Luiggi,

While I can't get the exact error log anymore after the downgrade, this scenario matches exactly our setup: https://github.com/metabase/metabase/issues/20357 -- So i think it might be the same issue.

https://github.com/metabase/metabase/issues/20357 is an issue about how you can't set certain configuration settings for and embedded Dashboard so I'd be inclined to suspect that it's a separate issue from already-configured Dashboards no longer working

Hi, we found the issue, which is https://github.com/metabase/metabase/issues/20393. We'll be posting a 42.1 soon with this fix

Excellent debugging! Thank you so much. We'll hold off until 42.1 before upgrading.